﻿using System.Windows;
using Telerik.Windows.Controls;

namespace GlobalDateFormat
{
    public class DateTimePickerFormatBehavior
    {
        public static string GetFormat(DependencyObject obj)
        {
            return (string)obj.GetValue(FormatProperty);
        }

        public static void SetFormat(DependencyObject obj, string value)
        {
            obj.SetValue(FormatProperty, value);
        }

        public static readonly DependencyProperty FormatProperty =
            DependencyProperty.RegisterAttached("Format", typeof(string), typeof(DateTimePickerFormatBehavior), new PropertyMetadata(null, OnFormatChanged));

        private static void OnFormatChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            var dateTimePicker = d as RadDateTimePicker;
            dateTimePicker.Culture = new System.Globalization.CultureInfo("en-US");
            dateTimePicker.Culture.DateTimeFormat.ShortDatePattern = e.NewValue.ToString();
        }
    }
}
